; Main

[AVZ_Scan]
@		     = sz(p,p) ext(1) alias(taskview) mg(15,15) bg("TaskPanelGr")
Header       = [ProfileHome_Header]
CollectText	 = a(la)
Collect      = [CollectTask]
LinkText1	 = a(la) xy(,15)
LinkText2	 = a(ls) xy(50) t(richedit) at(readonly,nofocus,noborder)
PasteText	 = a(la) xy(,15)
LinkText4	 = a(ls) xy(50) sz(p,a)
PasteEdit	 = [AVZ_Scan_Script]
Exec         = [ExecTask]

[CollectTask]
@               = a(ls) xy(50,-3) sz(p,a) alias(taskview) ns(AVZ_CollectSysInfo)
Btn             = t(xpbutton) sz(a,$Button_CY) onclick(f_setState(f_IsStateActive(state) ? #TASK_REQUEST_STOP : #TASK_REQUEST_RUN, name)) enable(!f_IsStateActive(AVZ_Scan.state))
Progress        = [AVZ_Progress] xy(10,4) a(at) visible(f_IsStateActive(state))
ResultText      = t(richedit) a(as) xy(4,4) sz(p,a) at(readonly,nofocus,noborder) visible(state == #StateCompleted)

[ExecTask]
@               = a(ss) sz(p,a)
Progress        = [AVZ_Progress] xy(,4,85) a(lt) visible(f_IsStateActive(state))
Btn 	        = t(xpbutton) a(rs) sz(a,$Button_CY) onclick(f_setState(f_IsStateActive(state) ? #TASK_REQUEST_STOP : #TASK_REQUEST_RUN, name)) enable(!f_IsStateActive(AVZ_CollectSysInfo.state) && AVZ_Scan.Script)


[AVZ_Scan_Script]
@           = sz(p,p) bg("RoundedRectArea") mg(4,4) a(la) xy(50,7,85)
PasteEdit	= t(edit) at(multiline,noborder) a(lt) sz(p,p) v(Script) visible(!f_IsStateActive(state))

[AVZ_Progress]
@ = [ProfileHome_Progress] subst(Completion(subst(Name(text("")) Val(subst(Progress(xy(7,2,0))))))) ext(1) xy(,,,7)

; Report

[MainReport.AVZ_Scan]
@ = [ProfileReport] subst(Group1([MainReport.AVZ_Scan_Events]) Descr([MainReport.AVZ_Scan_Events_Descr]) ActionsArea(subst(Other(subst(GroupFilter(onclick(ctl.menu("MainWindow.AVZ_Scan_Filters"))))))) )

[AVZ_Product_Events]
@       = ext(1) sz(p,p)
Report  = [AVZ_Product_Events_Report]

[AVZ_Product_Events_Report]
@           = $List at(rememberdata) alias(taskevents) v(#eTASK_GROUP_AVZ) prm(#dbAvz) refresh(100) group(runtask,ExtraInfoSub1) a(la) extprm(1) onshow(l_currep=ctl.Report;ctl.Group.reinit();ctl.setfilter(ctl.Filter.value,3))
Time        = sz(150) text(datetimeDT(Timestamp)) group() sort(index,sortup) filter(auto,s_date(dategroupDT(Timestamp))) extprm(1)
Info        = sz(p) rs(60) text($ObjectText) at(nosort)
Verdict     = sz(a) text($VerdictDescrText)
row         = at(clickable) i($RepEventIcon) bg($RepEventBg)
views       = [MainWindow.AVZ_Scan_Filters]

[MainReport.AVZ_Scan_Events_Descr]
ResultTitle = [Protection_Events_Descr_Title]
Time        = xy(10) a(la) sz(a,a) [LValue] subst(Name(sz(120,a)) Val(datetimeDT(Timestamp) a(as) -xy() sz(a,a)) )
Object      = xy(10,5) a(la) sz(a,a) [LValue] subst(Name(sz(120,a)) Val(text($ObjectText) a(as) -xy() sz(a,a)) ) visible(ctl.Val.text)

[MainReport.AVZ_Scan_Events]
d = [AVZ_Product_Events]

[MainWindow.AVZ_Scan_Filters]
@           = at(enum) v(ctl.parent.parent.value)
AllItems    = at(radiolike) v("1404010002e70000000000000041;Ti10200000b9;In00000001b3;Ve000000007b;")
